package com.nisum.ecomorder.model.dto;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

@Data
public class OrderLineDto {
    private String id;
    @NotBlank(message = "missing product id")
    private String productId;
    @Min(value = 1, message = "quantity must be at least one")
    private int quantity;
}
